/**
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"). You may not use this file except in compliance
 *  with the License. A copy of the License is located at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  or in the 'license' file accompanying this file. This file is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES
 *  OR CONDITIONS OF ANY KIND, express or implied. See the License for the specific language governing permissions
 *  and limitations under the License.
 */
import * as kendra from 'aws-cdk-lib/aws-kendra';
import { Construct } from 'constructs';
export interface BuildKendraIndexProps {
    readonly kendraIndexProps?: kendra.CfnIndexProps | any;
    /**
     * Existing instance of Kendra Index object, Providing both this and kendraIndexProps will cause an error.
     *
     * @default - None
     */
    readonly existingIndexObj?: kendra.CfnIndex;
}
/**
 * @internal This is an internal core function and should not be called directly by Solutions Constructs clients.
 */
export declare function buildKendraIndex(scope: Construct, id: string, props: BuildKendraIndexProps): kendra.CfnIndex;
/**
 * @internal This is an internal core function and should not be called directly by Solutions Constructs clients.
 */
export declare function AddMultipleKendraDataSources(scope: Construct, id: string, kendraIndex: kendra.CfnIndex, clientDataSourceProps: Partial<kendra.CfnDataSourceProps>[]): kendra.CfnDataSource[];
/**
 * @internal This is an internal core function and should not be called directly by Solutions Constructs clients.
 */
export declare function AddKendraDataSource(scope: Construct, id: string, index: kendra.CfnIndex, clientDataSourceProps: kendra.CfnDataSourceProps | any): kendra.CfnDataSource;
export declare function normalizeKendraPermissions(rawPermissions: string[]): string[];
